aboutsummaryrefslogtreecommitdiffstats
path: root/main/mt-st
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-02-13 09:19:06 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-02-13 09:19:53 +0000
commit3818e78e2f50d122bb07aea84544b2c690e734f9 (patch)
treedc184a7914dc84a52ba6ad3e4e4837d75928c049 /main/mt-st
parent93a590816e0eb786a708547b6993197e0b9f11ca (diff)
downloadaports-3818e78e2f50d122bb07aea84544b2c690e734f9.tar.gz
aports-3818e78e2f50d122bb07aea84544b2c690e734f9.tar.bz2
aports-3818e78e2f50d122bb07aea84544b2c690e734f9.tar.xz
main/mt-st: build fix for musl
Diffstat (limited to 'main/mt-st')
-rw-r--r--main/mt-st/APKBUILD21
-rw-r--r--main/mt-st/musl-path_max.patch18
2 files changed, 36 insertions, 3 deletions
diff --git a/main/mt-st/APKBUILD b/main/mt-st/APKBUILD
index e85e535311..d675dcb6d2 100644
--- a/main/mt-st/APKBUILD
+++ b/main/mt-st/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=mt-st
pkgver=1.1
-pkgrel=2
+pkgrel=3
pkgdesc="Linux SCSI tape driver aware magnetic tape control"
url="http://www.ibiblio.org/pub/linux/system/backup/"
arch="all"
@@ -10,10 +10,20 @@ depends=
makedepends=
install=
subpackages="$pkgname-doc"
-source="http://www.ibiblio.org/pub/linux/system/backup/$pkgname-$pkgver.tar.gz"
+source="http://www.ibiblio.org/pub/linux/system/backup/$pkgname-$pkgver.tar.gz
+ musl-path_max.patch"
_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
build() {
cd "$_builddir"
make || return 1
@@ -29,4 +39,9 @@ package() {
MANDIR=$pkgdir/usr/share/man install || return 1
}
-md5sums="fdd5f5ec673c9f630a102ceff7612774 mt-st-1.1.tar.gz"
+md5sums="fdd5f5ec673c9f630a102ceff7612774 mt-st-1.1.tar.gz
+06a7d26b71480105465c8b84303071fe musl-path_max.patch"
+sha256sums="945cb4f3d9957dabe768f5941a9148b746396836c797b25f020c84319ba8170d mt-st-1.1.tar.gz
+3ca59c3b94b0af048ad2811bf9f2f3b46542964e1952a118b7932bd850a5c86f musl-path_max.patch"
+sha512sums="5fd11c430219c9c2d98f7567433a59c689e6f1bf9a2aaa13eb8df58569c1d70417965a4a62b5c9d0fc7e4e520ecb8d745911d18c3e2652c6aaedb94850743fdb mt-st-1.1.tar.gz
+207f355497930cb466f5e3ad9601098381da1555709f9dafdbc85efcd5ea9cb8299e22c54b34b12d8fb9880dec75c3f625b3065438f7284bbcdef21b4de82555 musl-path_max.patch"
diff --git a/main/mt-st/musl-path_max.patch b/main/mt-st/musl-path_max.patch
new file mode 100644
index 0000000000..935abbc16d
--- /dev/null
+++ b/main/mt-st/musl-path_max.patch
@@ -0,0 +1,18 @@
+--- ./stinit.c.orig
++++ ./stinit.c
+@@ -8,6 +8,7 @@
+ Last modified: Sun Apr 27 14:24:16 2008 by kai.makisara
+ */
+
++#define _GNU_SOURCE
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <string.h>
+@@ -16,6 +17,7 @@
+ #include <errno.h>
+ #include <fcntl.h>
+ #include <dirent.h>
++#include <limits.h>
+ #include <sys/stat.h>
+ #include <sys/ioctl.h>
+ #include <sys/sysmacros.h>